package com.cmvr.evaluation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.evaluation.model.domain.AeIndicatorEntity;
import com.cmvr.evaluation.model.dto.AeIndicatorCreateDTO;
import com.cmvr.evaluation.model.dto.AeIndicatorUpdateDTO;


import java.util.List;

public interface AeIndicatorService extends IService<AeIndicatorEntity> {

    boolean saveIndicator(AeIndicatorCreateDTO dto);

    List<AeIndicatorEntity> selectIndicatorByParentId(Long parentId, Integer type);

    boolean removeIndicator(Long id);

    boolean updateIndicator(AeIndicatorUpdateDTO dto);

    List<AeIndicatorEntity> getChildrenByParentIdWithLevelLimit(Long parentId, Integer maxLevel, Integer type);

    List<AeIndicatorEntity> getChildrenByIndicatorIdWithLevel(Long indicatorId, Integer level, Integer type);
}
